#!/bin/bash
#SBATCH -N 20
#SBATCH --tasks-per-node 32
#SBATCH -t 3-00:00:00
#SBATCH -p broadwell
#SBATCH --job-name=run9_NICER
#SBATCH --mail-user=t.riley.phd@gmail.com
#SBATCH --mail-type=BEGIN,END,FAIL,TIME_LIMIT_50,TIME_LIMIT_90

echo start of job in directory $SLURM_SUBMIT_DIR
echo number of nodes is $SLURM_JOB_NUM_NODES
echo the allocated nodes are:
echo $SLURM_JOB_NODELIST

module load pre2019
module load intel/2017b
module load python/2.7.9

cp -r $HOME/J0740 $TMPDIR/.

cd $TMPDIR/J0740/STU
cp NICERxXMM/FI_H/run9/main.py .
cp NICERxXMM/FI_H/run9/config.ini .
mv NICERxXMM/FI_H/run9/samples .

export PYTHONPATH=$HOME/.local/lib/python2.7/site-packages/:$PYTHONPATH

export OMP_NUM_THREADS=1
export OPENBLAS_NUM_THREADS=1
export GOTO_NUM_THREADS=1
export MKL_NUM_THREADS=1
export LD_LIBRARY_PATH=$HOME/multinest/MultiNest_v3.12_CMake/multinest/lib:$LD_LIBRARY_PATH

srun python -m mpi4py main.py @config.ini --multinest --resume > out 2> err

mv out $HOME/J0740/STU/NICERxXMM/FI_H/run9/resume1
mv err $HOME/J0740/STU/NICERxXMM/FI_H/run9/resume1
mv samples/* $HOME/J0740/STU/NICERxXMM/FI_H/run9/samples/.
#end of job file
